Skip to main content
GET
/
notes
List clinical notes
curl --request GET \
  --url https://api.healos.ai/ext-api/v1/notes \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "9b2d4f6a-1c3e-4a5b-8d7f-0e1a2b3c4d5e",
      "patient_id": "481926357104938271",
      "session_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "note_type": "clinical_visit",
      "specialty": "Cardiology",
      "template_id": "<string>",
      "template_name": "Follow-Up Patient Visit",
      "created_at": "2026-03-15T09:30:00.000Z",
      "updated_at": "2026-03-15T10:00:00.000Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total_pages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.healos.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key obtained from /api/v1/ext-api-keys

Query Parameters

page
string
default:1
Example:

"1"

limit
string
default:20
Example:

"20"

patient_id
string

Filter by patient ID.

Example:

"481926357104938271"

session_id
string

Filter by session ID.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

template_id
string

Filter by the template the note was generated from.

created_by
string

Filter by authoring clinician (must be a member of your org).

note_type
string

Filter by note type.

Example:

"clinical_visit"

from
string

Only notes created on/after this date (ISO 8601).

Example:

"2026-01-01"

to
string

Only notes created on/before this date (ISO 8601).

Example:

"2026-06-30"

Response

Paginated list of notes

data
object[]
required
meta
object
required